Bug 173346 - mkfs -t ext3 should set dir_index by default
mkfs -t ext3 should set dir_index by default
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-16 10:03 EST by Avi Kivity
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.39-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 16:46:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avi Kivity 2005-11-16 10:03:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.2 (like Gecko)

Description of problem:
dir_index is mature, and helpful for large filesystems. it should be turned on 
by default. it is not practical to expect users to turn it on manually. 
 
please consider also raising the bytes per inode ratio from 8192 bytes/inode 
to something larger (say double that). 

Version-Release number of selected component (if applicable):
e2fsprogs-1.38-0.FC4.1

How reproducible:
Always

Steps to Reproduce:
1. mkfs -t ext3 /dev/whatever 
2. tune2fs -l /dev/whatever 
 
   

Actual Results:  no dir_index 

Expected Results:  dir_index 

Additional info:
Comment 1 Marcin Garski 2006-07-12 16:46:12 EDT
With e2fsprogs-1.39-1 dir_index is enabled by default.

Thomas still not resolved is "consider also raising the bytes per inode ratio
from 8192 bytes/inode to something larger (say double that).", but it that case
new bug should be opened, right?
Comment 2 Thomas Woerner 2006-07-13 06:03:56 EDT
Yes, please open another bug for this.

Note You need to log in before you can comment on or make changes to this bug.